$(document).ready(function(){

	$( document ).on( 'mouseenter', '.itemWrap', function () {
		$(this).css("background-color", "#f3f3f3");
	});
	
	$( document ).on( 'mouseleave', '.itemWrap', function () {
		$(this).css("background-color", "#f0f0f0");
	});
	
	$( document ).on( 'click', '.itemWrap', function () {
		var id = $(this).children('img').attr('id');
		window.location.href = "product.php?id="+id;
	});
	
	$(".search").keypress(function(e){
		if(e.which == 13) { //Pressed enter key
			var q = $(this).val();
			var products = new Array();
			
			$.ajax({
				method: "POST",
				url: "category.php?q="+q,
				dataType: "json",
				success: function(data){
					
					product = data['products'];	
					ratio = data['ratio'];
					
					$(".products").empty(); //Remove all items

					for (var i in product) {	
						btcPrice = product[i]['Price']*ratio;
						//<p class='rating'>Rating: "+product[i]['Rating']+"/5</p>\
						
						$(".products").append("\
						<li class='itemWrap'>\
						<img id='"+product[i]['ID']+"' class='itemImg' src='"+product[i]['Bild']+"' height='64' width='64'></img>\
						<p class='title'>"+product[i]['Title']+"</p>\
						<p class='timeposted'> - Posted: "+product[i]['Posted']+"</p>\
						<p class='seller'>Seller: <a href='#'>"+product[i]['Seller']+"</a></p>\
						<p class='price'>$"+product[i]['Price']+" ("+btcPrice+" BTC)</p>\
						</li>\
						");
					}
				}
			})	
		}
	});
	
	$("li .category").click(function(){	
		var c = $(this).text().split(" (")[0];
		var products = new Array();	
	
		$.ajax({
			method: "POST",
			url: "category.php?c="+c,
			dataType: "json",
			success: function(data){
				
				product = data['products'];	
				ratio = data['ratio'];
				
				$(".products").empty(); //Remove all items

				for (var i in product) {	
					btcPrice = product[i]['Price']*ratio;
					//<p class='rating'>Rating: "+product[i]['Rating']+"/5</p>\
					
					$(".products").append("\
					<li class='itemWrap'>\
					<img id='"+product[i]['ID']+"' class='itemImg' src='"+product[i]['Bild']+"' height='64' width='64'></img>\
					<p class='title'>"+product[i]['Title']+"</p>\
					<p class='timeposted'> - Posted: "+product[i]['Posted']+"</p>\
					<p class='seller'>Seller: <a href='#'>"+product[i]['Seller']+"</a></p>\
					<p class='price'>$"+product[i]['Price']+" ("+btcPrice+" BTC)</p>\
					</li>\
					");
				}
			}
		})	
	});
	
});