<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>User list / Simply Bear | Forums</title>
<link rel="stylesheet" type="text/css" href="style/Air.css" />
<link rel="stylesheet" type="text/css" href="style/imports/pms.css" />
</head>

<body onload="document.getElementById('userlist').elements['username'].focus()">

<div id="punuserlist" class="pun">
<div class="top-box"></div>
<div class="punwrap">

<div id="brdheader" class="block">
	<div class="box">
		<div id="brdtitle" class="inbox">
			<h1><a href="index.php">Simply Bear | Forums</a></h1>
			<div id="brddesc"></div>
		</div>
		<div id="brdmenu" class="inbox">
			<ul>
				<li id="navindex"><a href="index.php">Index</a></li>
				<li id="navuserlist" class="isactive"><a href="userlist.php">User list</a></li>
				<li id="navrules"><a href="misc.php?action=rules">Rules</a></li>
				<li id="navsearch"><a href="search.php">Search</a></li>
				<li id="navregister"><a href="register.php">Register</a></li>
				<li id="navlogin"><a href="login.php">Login</a></li>
			</ul>
		</div>
		<div id="brdwelcome" class="inbox">
			<p class="conl">You are not logged in.</p>
			<ul class="conr">
				<li><span>Topics: <a href="search.php?action=show_recent" title="Find topics with recent posts.">Active</a> | <a href="search.php?action=show_unanswered" title="Find topics with no replies.">Unanswered</a></span></li>
			</ul>
			<div class="clearer"></div>
		</div>
	</div>
</div>



<div id="brdmain">
<div class="blockform">
	<h2><span>User search</span></h2>
	<div class="box">
		<form id="userlist" method="get" action="userlist.php">
			<div class="inform">
				<fieldset>
					<legend>Find and sort users</legend>
					<div class="infldset">
						<label class="conl">Username<br /><input type="text" name="username" value="" size="25" maxlength="25" /><br /></label>
						<label class="conl">User group
						<br /><select name="show_group">
							<option value="-1" selected="selected">All</option>
							<option value="1">Administrators</option>
							<option value="2">Moderators</option>
							<option value="4">Members</option>
						</select>
						<br /></label>
						<label class="conl">Sort by
						<br /><select name="sort_by">
							<option value="username" selected="selected">Username</option>
							<option value="registered">Registered</option>
							<option value="num_posts">Number of posts</option>
						</select>
						<br /></label>
						<label class="conl">Sort order
						<br /><select name="sort_dir">
							<option value="ASC" selected="selected">Ascending</option>
							<option value="DESC">Descending</option>
						</select>
						<br /></label>
						<p class="clearb">Enter a username to search for and/or a user group to filter by. The username field can be left blank. Use the wildcard character * for partial matches. Sort users by name, date registered or number of posts and in ascending/descending order.</p>
					</div>
				</fieldset>
			</div>
			<p class="buttons"><input type="submit" name="search" value="Submit" accesskey="s" /></p>
		</form>
	</div>
</div>

<div class="linkst">
	<div class="inbox">
		<p class="pagelink"><span class="pages-label">Pages: </span><strong class="item1">1</strong></p>
		<div class="clearer"></div>
	</div>
</div>

<div id="users1" class="blocktable">
	<h2><span>User list</span></h2>
	<div class="box">
		<div class="inbox">
			<table>
			<thead>
				<tr>
					<th class="tcl" scope="col">Username</th>
					<th class="tc2" scope="col">Title</th>
					<th class="tc3" scope="col">Posts</th>
					<th class="tcr" scope="col">Registered</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="tcl"><a href="profile.php?id=9">admin</a></td>
					<td class="tc2">Member</td>
					<td class="tc3">0</td>
					<td class="tcr">2015-06-20</td>
				</tr>
				<tr>
					<td class="tcl"><a href="profile.php?id=11">honest</a></td>
					<td class="tc2">Member</td>
					<td class="tc3">0</td>
					<td class="tcr">2015-06-21</td>
				</tr>
				<tr>
					<td class="tcl"><a href="profile.php?id=10">j-s</a></td>
					<td class="tc2">Member</td>
					<td class="tc3">0</td>
					<td class="tcr">2015-06-20</td>
				</tr>
				<tr>
					<td class="tcl"><a href="profile.php?id=7">loksweo</a></td>
					<td class="tc2">Member</td>
					<td class="tc3">0</td>
					<td class="tcr">2015-06-20</td>
				</tr>
				<tr>
					<td class="tcl"><a href="profile.php?id=2">One</a></td>
					<td class="tc2">Administrator</td>
					<td class="tc3">6</td>
					<td class="tcr">2015-03-23</td>
				</tr>
				<tr>
					<td class="tcl"><a href="profile.php?id=12">TheVault</a></td>
					<td class="tc2">Member</td>
					<td class="tc3">0</td>
					<td class="tcr">2015-06-21</td>
				</tr>
				<tr>
					<td class="tcl"><a href="profile.php?id=13">Y0Gi</a></td>
					<td class="tc2">Member</td>
					<td class="tc3">0</td>
					<td class="tcr">2015-06-21</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
</div>

<div class="linksb">
	<div class="inbox">
		<p class="pagelink"><span class="pages-label">Pages: </span><strong class="item1">1</strong></p>
		<div class="clearer"></div>
	</div>
</div>
</div>

<div id="brdfooter" class="block">
	<h2><span>Board footer</span></h2>
	<div class="box">
		<div id="brdfooternav" class="inbox">
			<div class="conl">
				<form id="qjump" method="get" action="viewforum.php">
					<div><label><span>Jump to<br /></span>
					<select name="id" onchange="window.location=('viewforum.php?id='+this.options[this.selectedIndex].value)">
						<optgroup label="Marketplace">
							<option value="5">General</option>
							<option value="11">Apparel</option>
							<option value="17">Art</option>
							<option value="12">Books</option>
							<option value="6">Drugs</option>
							<option value="8">Electronics</option>
							<option value="13">Erotica</option>
							<option value="14">Forgeries</option>
							<option value="15">Jewelry</option>
							<option value="16">Lab Supplies</option>
							<option value="9">Other</option>
							<option value="2">Reports</option>
							<option value="7">Services</option>
							<option value="10">VCC / CC&#039;s</option>
							<option value="4">Wanted</option>
						</optgroup>
						<optgroup label="BETA Phase">
							<option value="18">General</option>
							<option value="20">Bugs</option>
							<option value="19">Suggestions</option>
							<option value="21">Support</option>
						</optgroup>
					</select></label>
					<input type="submit" value=" Go " accesskey="g" />
					</div>
				</form>
			</div>
			<div class="conr">
				<p id="poweredby">Powered by <a href="http://fluxbb.org/">FluxBB</a></p>
			</div>
			<div class="clearer"></div>
		</div>
	</div>
</div>

</div>
<div class="end-box"></div>
</div>

</body>
</html>
